#ifndef SOUND_H
#define SOUND_H

#include <QString>
#include <QObject>
#include <QTimer>
#include <QSoundEffect>
#include <QFile>

class Sound:public QObject
{
   Q_OBJECT
public:
   Sound(const QString& sound_file);
   Sound(QObject *parent, const QString& sound_file);
   void set_loop_delay(int);
   int get_loop_delay();
public slots:
   void play();
   void stop();
   void loop();
private slots:
   void playingChanged();
   void timer_timeout();
private:
   bool m_loop_enabled;
   QTimer m_loop_timer;
   QSoundEffect mSoundEffect;

   void m_init(const QString &sound_file);
};




#endif



